IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network245.232.56.0/23
Usable hosts510
Subnet mask255.255.254.0
Addresses512
- Network address
245.232.56.0- Broadcast address
245.232.57.255- First usable
245.232.56.1- Last usable
245.232.57.254- Usable hosts
- 510 (512 less the network and broadcast addresses)
- Subnet mask
255.255.254.0- Wildcard mask
0.0.1.255(Cisco ACLs, OSPF)- Prefix length
- /23
- Type
- Reserved 240.0.0.0/4
Future use; not usable on most systems - Old class
- E (reserved)
- As numbers
- Hex
F5E83800· Integer4125636608to4125637119 - Reverse DNS zones
56.232.245.in-addr.arpa57.232.245.in-addr.arpa
/23 is not on a 8-bit boundary, so it takes 2 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11110101.11101000.00111000.00000000 | 245.232.56.0 |
| Subnet mask | 11111111.11111111.11111110.00000000 | 255.255.254.0 |
| Network | 11110101.11101000.00111000.00000000 | 245.232.56.0 |
| Broadcast | 11110101.11101000.00111001.11111111 | 245.232.57.255 |
Split into smaller subnets
245.232.56.0/23 makes 512 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 245.232.56.0/32 | 245.232.56.0 to 245.232.56.0 | — | 1 |
| 2 | 245.232.56.1/32 | 245.232.56.1 to 245.232.56.1 | — | 1 |
| 3 | 245.232.56.2/32 | 245.232.56.2 to 245.232.56.2 | — | 1 |
| 4 | 245.232.56.3/32 | 245.232.56.3 to 245.232.56.3 | — | 1 |
| 5 | 245.232.56.4/32 | 245.232.56.4 to 245.232.56.4 | — | 1 |
| 6 | 245.232.56.5/32 | 245.232.56.5 to 245.232.56.5 | — | 1 |
| 7 | 245.232.56.6/32 | 245.232.56.6 to 245.232.56.6 | — | 1 |
| 8 | 245.232.56.7/32 | 245.232.56.7 to 245.232.56.7 | — | 1 |
| 9 | 245.232.56.8/32 | 245.232.56.8 to 245.232.56.8 | — | 1 |
| 10 | 245.232.56.9/32 | 245.232.56.9 to 245.232.56.9 | — | 1 |
| 11 | 245.232.56.10/32 | 245.232.56.10 to 245.232.56.10 | — | 1 |
| 12 | 245.232.56.11/32 | 245.232.56.11 to 245.232.56.11 | — | 1 |
| 13 | 245.232.56.12/32 | 245.232.56.12 to 245.232.56.12 | — | 1 |
| 14 | 245.232.56.13/32 | 245.232.56.13 to 245.232.56.13 | — | 1 |
| 15 | 245.232.56.14/32 | 245.232.56.14 to 245.232.56.14 | — | 1 |
| 16 | 245.232.56.15/32 | 245.232.56.15 to 245.232.56.15 | — | 1 |
| 17 | 245.232.56.16/32 | 245.232.56.16 to 245.232.56.16 | — | 1 |
| 18 | 245.232.56.17/32 | 245.232.56.17 to 245.232.56.17 | — | 1 |
| 19 | 245.232.56.18/32 | 245.232.56.18 to 245.232.56.18 | — | 1 |
| 20 | 245.232.56.19/32 | 245.232.56.19 to 245.232.56.19 | — | 1 |
| 21 | 245.232.56.20/32 | 245.232.56.20 to 245.232.56.20 | — | 1 |
| 22 | 245.232.56.21/32 | 245.232.56.21 to 245.232.56.21 | — | 1 |
| 23 | 245.232.56.22/32 | 245.232.56.22 to 245.232.56.22 | — | 1 |
| 24 | 245.232.56.23/32 | 245.232.56.23 to 245.232.56.23 | — | 1 |
| 25 | 245.232.56.24/32 | 245.232.56.24 to 245.232.56.24 | — | 1 |
| 26 | 245.232.56.25/32 | 245.232.56.25 to 245.232.56.25 | — | 1 |
| 27 | 245.232.56.26/32 | 245.232.56.26 to 245.232.56.26 | — | 1 |
| 28 | 245.232.56.27/32 | 245.232.56.27 to 245.232.56.27 | — | 1 |
| 29 | 245.232.56.28/32 | 245.232.56.28 to 245.232.56.28 | — | 1 |
| 30 | 245.232.56.29/32 | 245.232.56.29 to 245.232.56.29 | — | 1 |
| 31 | 245.232.56.30/32 | 245.232.56.30 to 245.232.56.30 | — | 1 |
| 32 | 245.232.56.31/32 | 245.232.56.31 to 245.232.56.31 | — | 1 |
| 33 | 245.232.56.32/32 | 245.232.56.32 to 245.232.56.32 | — | 1 |
| 34 | 245.232.56.33/32 | 245.232.56.33 to 245.232.56.33 | — | 1 |
| 35 | 245.232.56.34/32 | 245.232.56.34 to 245.232.56.34 | — | 1 |
| 36 | 245.232.56.35/32 | 245.232.56.35 to 245.232.56.35 | — | 1 |
| 37 | 245.232.56.36/32 | 245.232.56.36 to 245.232.56.36 | — | 1 |
| 38 | 245.232.56.37/32 | 245.232.56.37 to 245.232.56.37 | — | 1 |
| 39 | 245.232.56.38/32 | 245.232.56.38 to 245.232.56.38 | — | 1 |
| 40 | 245.232.56.39/32 | 245.232.56.39 to 245.232.56.39 | — | 1 |
| 41 | 245.232.56.40/32 | 245.232.56.40 to 245.232.56.40 | — | 1 |
| 42 | 245.232.56.41/32 | 245.232.56.41 to 245.232.56.41 | — | 1 |
| 43 | 245.232.56.42/32 | 245.232.56.42 to 245.232.56.42 | — | 1 |
| 44 | 245.232.56.43/32 | 245.232.56.43 to 245.232.56.43 | — | 1 |
| 45 | 245.232.56.44/32 | 245.232.56.44 to 245.232.56.44 | — | 1 |
| 46 | 245.232.56.45/32 | 245.232.56.45 to 245.232.56.45 | — | 1 |
| 47 | 245.232.56.46/32 | 245.232.56.46 to 245.232.56.46 | — | 1 |
| 48 | 245.232.56.47/32 | 245.232.56.47 to 245.232.56.47 | — | 1 |
| 49 | 245.232.56.48/32 | 245.232.56.48 to 245.232.56.48 | — | 1 |
| 50 | 245.232.56.49/32 | 245.232.56.49 to 245.232.56.49 | — | 1 |
| 51 | 245.232.56.50/32 | 245.232.56.50 to 245.232.56.50 | — | 1 |
| 52 | 245.232.56.51/32 | 245.232.56.51 to 245.232.56.51 | — | 1 |
| 53 | 245.232.56.52/32 | 245.232.56.52 to 245.232.56.52 | — | 1 |
| 54 | 245.232.56.53/32 | 245.232.56.53 to 245.232.56.53 | — | 1 |
| 55 | 245.232.56.54/32 | 245.232.56.54 to 245.232.56.54 | — | 1 |
| 56 | 245.232.56.55/32 | 245.232.56.55 to 245.232.56.55 | — | 1 |
| 57 | 245.232.56.56/32 | 245.232.56.56 to 245.232.56.56 | — | 1 |
| 58 | 245.232.56.57/32 | 245.232.56.57 to 245.232.56.57 | — | 1 |
| 59 | 245.232.56.58/32 | 245.232.56.58 to 245.232.56.58 | — | 1 |
| 60 | 245.232.56.59/32 | 245.232.56.59 to 245.232.56.59 | — | 1 |
| 61 | 245.232.56.60/32 | 245.232.56.60 to 245.232.56.60 | — | 1 |
| 62 | 245.232.56.61/32 | 245.232.56.61 to 245.232.56.61 | — | 1 |
| 63 | 245.232.56.62/32 | 245.232.56.62 to 245.232.56.62 | — | 1 |
| 64 | 245.232.56.63/32 | 245.232.56.63 to 245.232.56.63 | — | 1 |
| 65 | 245.232.56.64/32 | 245.232.56.64 to 245.232.56.64 | — | 1 |
| 66 | 245.232.56.65/32 | 245.232.56.65 to 245.232.56.65 | — | 1 |
| 67 | 245.232.56.66/32 | 245.232.56.66 to 245.232.56.66 | — | 1 |
| 68 | 245.232.56.67/32 | 245.232.56.67 to 245.232.56.67 | — | 1 |
| 69 | 245.232.56.68/32 | 245.232.56.68 to 245.232.56.68 | — | 1 |
| 70 | 245.232.56.69/32 | 245.232.56.69 to 245.232.56.69 | — | 1 |
| 71 | 245.232.56.70/32 | 245.232.56.70 to 245.232.56.70 | — | 1 |
| 72 | 245.232.56.71/32 | 245.232.56.71 to 245.232.56.71 | — | 1 |
| 73 | 245.232.56.72/32 | 245.232.56.72 to 245.232.56.72 | — | 1 |
| 74 | 245.232.56.73/32 | 245.232.56.73 to 245.232.56.73 | — | 1 |
| 75 | 245.232.56.74/32 | 245.232.56.74 to 245.232.56.74 | — | 1 |
| 76 | 245.232.56.75/32 | 245.232.56.75 to 245.232.56.75 | — | 1 |
| 77 | 245.232.56.76/32 | 245.232.56.76 to 245.232.56.76 | — | 1 |
| 78 | 245.232.56.77/32 | 245.232.56.77 to 245.232.56.77 | — | 1 |
| 79 | 245.232.56.78/32 | 245.232.56.78 to 245.232.56.78 | — | 1 |
| 80 | 245.232.56.79/32 | 245.232.56.79 to 245.232.56.79 | — | 1 |
| 81 | 245.232.56.80/32 | 245.232.56.80 to 245.232.56.80 | — | 1 |
| 82 | 245.232.56.81/32 | 245.232.56.81 to 245.232.56.81 | — | 1 |
| 83 | 245.232.56.82/32 | 245.232.56.82 to 245.232.56.82 | — | 1 |
| 84 | 245.232.56.83/32 | 245.232.56.83 to 245.232.56.83 | — | 1 |
| 85 | 245.232.56.84/32 | 245.232.56.84 to 245.232.56.84 | — | 1 |
| 86 | 245.232.56.85/32 | 245.232.56.85 to 245.232.56.85 | — | 1 |
| 87 | 245.232.56.86/32 | 245.232.56.86 to 245.232.56.86 | — | 1 |
| 88 | 245.232.56.87/32 | 245.232.56.87 to 245.232.56.87 | — | 1 |
| 89 | 245.232.56.88/32 | 245.232.56.88 to 245.232.56.88 | — | 1 |
| 90 | 245.232.56.89/32 | 245.232.56.89 to 245.232.56.89 | — | 1 |
| 91 | 245.232.56.90/32 | 245.232.56.90 to 245.232.56.90 | — | 1 |
| 92 | 245.232.56.91/32 | 245.232.56.91 to 245.232.56.91 | — | 1 |
| 93 | 245.232.56.92/32 | 245.232.56.92 to 245.232.56.92 | — | 1 |
| 94 | 245.232.56.93/32 | 245.232.56.93 to 245.232.56.93 | — | 1 |
| 95 | 245.232.56.94/32 | 245.232.56.94 to 245.232.56.94 | — | 1 |
| 96 | 245.232.56.95/32 | 245.232.56.95 to 245.232.56.95 | — | 1 |
| 97 | 245.232.56.96/32 | 245.232.56.96 to 245.232.56.96 | — | 1 |
| 98 | 245.232.56.97/32 | 245.232.56.97 to 245.232.56.97 | — | 1 |
| 99 | 245.232.56.98/32 | 245.232.56.98 to 245.232.56.98 | — | 1 |
| 100 | 245.232.56.99/32 | 245.232.56.99 to 245.232.56.99 | — | 1 |
| 101 | 245.232.56.100/32 | 245.232.56.100 to 245.232.56.100 | — | 1 |
| 102 | 245.232.56.101/32 | 245.232.56.101 to 245.232.56.101 | — | 1 |
| 103 | 245.232.56.102/32 | 245.232.56.102 to 245.232.56.102 | — | 1 |
| 104 | 245.232.56.103/32 | 245.232.56.103 to 245.232.56.103 | — | 1 |
| 105 | 245.232.56.104/32 | 245.232.56.104 to 245.232.56.104 | — | 1 |
| 106 | 245.232.56.105/32 | 245.232.56.105 to 245.232.56.105 | — | 1 |
| 107 | 245.232.56.106/32 | 245.232.56.106 to 245.232.56.106 | — | 1 |
| 108 | 245.232.56.107/32 | 245.232.56.107 to 245.232.56.107 | — | 1 |
| 109 | 245.232.56.108/32 | 245.232.56.108 to 245.232.56.108 | — | 1 |
| 110 | 245.232.56.109/32 | 245.232.56.109 to 245.232.56.109 | — | 1 |
| 111 | 245.232.56.110/32 | 245.232.56.110 to 245.232.56.110 | — | 1 |
| 112 | 245.232.56.111/32 | 245.232.56.111 to 245.232.56.111 | — | 1 |
| 113 | 245.232.56.112/32 | 245.232.56.112 to 245.232.56.112 | — | 1 |
| 114 | 245.232.56.113/32 | 245.232.56.113 to 245.232.56.113 | — | 1 |
| 115 | 245.232.56.114/32 | 245.232.56.114 to 245.232.56.114 | — | 1 |
| 116 | 245.232.56.115/32 | 245.232.56.115 to 245.232.56.115 | — | 1 |
| 117 | 245.232.56.116/32 | 245.232.56.116 to 245.232.56.116 | — | 1 |
| 118 | 245.232.56.117/32 | 245.232.56.117 to 245.232.56.117 | — | 1 |
| 119 | 245.232.56.118/32 | 245.232.56.118 to 245.232.56.118 | — | 1 |
| 120 | 245.232.56.119/32 | 245.232.56.119 to 245.232.56.119 | — | 1 |
| 121 | 245.232.56.120/32 | 245.232.56.120 to 245.232.56.120 | — | 1 |
| 122 | 245.232.56.121/32 | 245.232.56.121 to 245.232.56.121 | — | 1 |
| 123 | 245.232.56.122/32 | 245.232.56.122 to 245.232.56.122 | — | 1 |
| 124 | 245.232.56.123/32 | 245.232.56.123 to 245.232.56.123 | — | 1 |
| 125 | 245.232.56.124/32 | 245.232.56.124 to 245.232.56.124 | — | 1 |
| 126 | 245.232.56.125/32 | 245.232.56.125 to 245.232.56.125 | — | 1 |
| 127 | 245.232.56.126/32 | 245.232.56.126 to 245.232.56.126 | — | 1 |
| 128 | 245.232.56.127/32 | 245.232.56.127 to 245.232.56.127 | — | 1 |
| 129 | 245.232.56.128/32 | 245.232.56.128 to 245.232.56.128 | — | 1 |
| 130 | 245.232.56.129/32 | 245.232.56.129 to 245.232.56.129 | — | 1 |
| 131 | 245.232.56.130/32 | 245.232.56.130 to 245.232.56.130 | — | 1 |
| 132 | 245.232.56.131/32 | 245.232.56.131 to 245.232.56.131 | — | 1 |
| 133 | 245.232.56.132/32 | 245.232.56.132 to 245.232.56.132 | — | 1 |
| 134 | 245.232.56.133/32 | 245.232.56.133 to 245.232.56.133 | — | 1 |
| 135 | 245.232.56.134/32 | 245.232.56.134 to 245.232.56.134 | — | 1 |
| 136 | 245.232.56.135/32 | 245.232.56.135 to 245.232.56.135 | — | 1 |
| 137 | 245.232.56.136/32 | 245.232.56.136 to 245.232.56.136 | — | 1 |
| 138 | 245.232.56.137/32 | 245.232.56.137 to 245.232.56.137 | — | 1 |
| 139 | 245.232.56.138/32 | 245.232.56.138 to 245.232.56.138 | — | 1 |
| 140 | 245.232.56.139/32 | 245.232.56.139 to 245.232.56.139 | — | 1 |
| 141 | 245.232.56.140/32 | 245.232.56.140 to 245.232.56.140 | — | 1 |
| 142 | 245.232.56.141/32 | 245.232.56.141 to 245.232.56.141 | — | 1 |
| 143 | 245.232.56.142/32 | 245.232.56.142 to 245.232.56.142 | — | 1 |
| 144 | 245.232.56.143/32 | 245.232.56.143 to 245.232.56.143 | — | 1 |
| 145 | 245.232.56.144/32 | 245.232.56.144 to 245.232.56.144 | — | 1 |
| 146 | 245.232.56.145/32 | 245.232.56.145 to 245.232.56.145 | — | 1 |
| 147 | 245.232.56.146/32 | 245.232.56.146 to 245.232.56.146 | — | 1 |
| 148 | 245.232.56.147/32 | 245.232.56.147 to 245.232.56.147 | — | 1 |
| 149 | 245.232.56.148/32 | 245.232.56.148 to 245.232.56.148 | — | 1 |
| 150 | 245.232.56.149/32 | 245.232.56.149 to 245.232.56.149 | — | 1 |
| 151 | 245.232.56.150/32 | 245.232.56.150 to 245.232.56.150 | — | 1 |
| 152 | 245.232.56.151/32 | 245.232.56.151 to 245.232.56.151 | — | 1 |
| 153 | 245.232.56.152/32 | 245.232.56.152 to 245.232.56.152 | — | 1 |
| 154 | 245.232.56.153/32 | 245.232.56.153 to 245.232.56.153 | — | 1 |
| 155 | 245.232.56.154/32 | 245.232.56.154 to 245.232.56.154 | — | 1 |
| 156 | 245.232.56.155/32 | 245.232.56.155 to 245.232.56.155 | — | 1 |
| 157 | 245.232.56.156/32 | 245.232.56.156 to 245.232.56.156 | — | 1 |
| 158 | 245.232.56.157/32 | 245.232.56.157 to 245.232.56.157 | — | 1 |
| 159 | 245.232.56.158/32 | 245.232.56.158 to 245.232.56.158 | — | 1 |
| 160 | 245.232.56.159/32 | 245.232.56.159 to 245.232.56.159 | — | 1 |
| 161 | 245.232.56.160/32 | 245.232.56.160 to 245.232.56.160 | — | 1 |
| 162 | 245.232.56.161/32 | 245.232.56.161 to 245.232.56.161 | — | 1 |
| 163 | 245.232.56.162/32 | 245.232.56.162 to 245.232.56.162 | — | 1 |
| 164 | 245.232.56.163/32 | 245.232.56.163 to 245.232.56.163 | — | 1 |
| 165 | 245.232.56.164/32 | 245.232.56.164 to 245.232.56.164 | — | 1 |
| 166 | 245.232.56.165/32 | 245.232.56.165 to 245.232.56.165 | — | 1 |
| 167 | 245.232.56.166/32 | 245.232.56.166 to 245.232.56.166 | — | 1 |
| 168 | 245.232.56.167/32 | 245.232.56.167 to 245.232.56.167 | — | 1 |
| 169 | 245.232.56.168/32 | 245.232.56.168 to 245.232.56.168 | — | 1 |
| 170 | 245.232.56.169/32 | 245.232.56.169 to 245.232.56.169 | — | 1 |
| 171 | 245.232.56.170/32 | 245.232.56.170 to 245.232.56.170 | — | 1 |
| 172 | 245.232.56.171/32 | 245.232.56.171 to 245.232.56.171 | — | 1 |
| 173 | 245.232.56.172/32 | 245.232.56.172 to 245.232.56.172 | — | 1 |
| 174 | 245.232.56.173/32 | 245.232.56.173 to 245.232.56.173 | — | 1 |
| 175 | 245.232.56.174/32 | 245.232.56.174 to 245.232.56.174 | — | 1 |
| 176 | 245.232.56.175/32 | 245.232.56.175 to 245.232.56.175 | — | 1 |
| 177 | 245.232.56.176/32 | 245.232.56.176 to 245.232.56.176 | — | 1 |
| 178 | 245.232.56.177/32 | 245.232.56.177 to 245.232.56.177 | — | 1 |
| 179 | 245.232.56.178/32 | 245.232.56.178 to 245.232.56.178 | — | 1 |
| 180 | 245.232.56.179/32 | 245.232.56.179 to 245.232.56.179 | — | 1 |
| 181 | 245.232.56.180/32 | 245.232.56.180 to 245.232.56.180 | — | 1 |
| 182 | 245.232.56.181/32 | 245.232.56.181 to 245.232.56.181 | — | 1 |
| 183 | 245.232.56.182/32 | 245.232.56.182 to 245.232.56.182 | — | 1 |
| 184 | 245.232.56.183/32 | 245.232.56.183 to 245.232.56.183 | — | 1 |
| 185 | 245.232.56.184/32 | 245.232.56.184 to 245.232.56.184 | — | 1 |
| 186 | 245.232.56.185/32 | 245.232.56.185 to 245.232.56.185 | — | 1 |
| 187 | 245.232.56.186/32 | 245.232.56.186 to 245.232.56.186 | — | 1 |
| 188 | 245.232.56.187/32 | 245.232.56.187 to 245.232.56.187 | — | 1 |
| 189 | 245.232.56.188/32 | 245.232.56.188 to 245.232.56.188 | — | 1 |
| 190 | 245.232.56.189/32 | 245.232.56.189 to 245.232.56.189 | — | 1 |
| 191 | 245.232.56.190/32 | 245.232.56.190 to 245.232.56.190 | — | 1 |
| 192 | 245.232.56.191/32 | 245.232.56.191 to 245.232.56.191 | — | 1 |
| 193 | 245.232.56.192/32 | 245.232.56.192 to 245.232.56.192 | — | 1 |
| 194 | 245.232.56.193/32 | 245.232.56.193 to 245.232.56.193 | — | 1 |
| 195 | 245.232.56.194/32 | 245.232.56.194 to 245.232.56.194 | — | 1 |
| 196 | 245.232.56.195/32 | 245.232.56.195 to 245.232.56.195 | — | 1 |
| 197 | 245.232.56.196/32 | 245.232.56.196 to 245.232.56.196 | — | 1 |
| 198 | 245.232.56.197/32 | 245.232.56.197 to 245.232.56.197 | — | 1 |
| 199 | 245.232.56.198/32 | 245.232.56.198 to 245.232.56.198 | — | 1 |
| 200 | 245.232.56.199/32 | 245.232.56.199 to 245.232.56.199 | — | 1 |
| 201 | 245.232.56.200/32 | 245.232.56.200 to 245.232.56.200 | — | 1 |
| 202 | 245.232.56.201/32 | 245.232.56.201 to 245.232.56.201 | — | 1 |
| 203 | 245.232.56.202/32 | 245.232.56.202 to 245.232.56.202 | — | 1 |
| 204 | 245.232.56.203/32 | 245.232.56.203 to 245.232.56.203 | — | 1 |
| 205 | 245.232.56.204/32 | 245.232.56.204 to 245.232.56.204 | — | 1 |
| 206 | 245.232.56.205/32 | 245.232.56.205 to 245.232.56.205 | — | 1 |
| 207 | 245.232.56.206/32 | 245.232.56.206 to 245.232.56.206 | — | 1 |
| 208 | 245.232.56.207/32 | 245.232.56.207 to 245.232.56.207 | — | 1 |
| 209 | 245.232.56.208/32 | 245.232.56.208 to 245.232.56.208 | — | 1 |
| 210 | 245.232.56.209/32 | 245.232.56.209 to 245.232.56.209 | — | 1 |
| 211 | 245.232.56.210/32 | 245.232.56.210 to 245.232.56.210 | — | 1 |
| 212 | 245.232.56.211/32 | 245.232.56.211 to 245.232.56.211 | — | 1 |
| 213 | 245.232.56.212/32 | 245.232.56.212 to 245.232.56.212 | — | 1 |
| 214 | 245.232.56.213/32 | 245.232.56.213 to 245.232.56.213 | — | 1 |
| 215 | 245.232.56.214/32 | 245.232.56.214 to 245.232.56.214 | — | 1 |
| 216 | 245.232.56.215/32 | 245.232.56.215 to 245.232.56.215 | — | 1 |
| 217 | 245.232.56.216/32 | 245.232.56.216 to 245.232.56.216 | — | 1 |
| 218 | 245.232.56.217/32 | 245.232.56.217 to 245.232.56.217 | — | 1 |
| 219 | 245.232.56.218/32 | 245.232.56.218 to 245.232.56.218 | — | 1 |
| 220 | 245.232.56.219/32 | 245.232.56.219 to 245.232.56.219 | — | 1 |
| 221 | 245.232.56.220/32 | 245.232.56.220 to 245.232.56.220 | — | 1 |
| 222 | 245.232.56.221/32 | 245.232.56.221 to 245.232.56.221 | — | 1 |
| 223 | 245.232.56.222/32 | 245.232.56.222 to 245.232.56.222 | — | 1 |
| 224 | 245.232.56.223/32 | 245.232.56.223 to 245.232.56.223 | — | 1 |
| 225 | 245.232.56.224/32 | 245.232.56.224 to 245.232.56.224 | — | 1 |
| 226 | 245.232.56.225/32 | 245.232.56.225 to 245.232.56.225 | — | 1 |
| 227 | 245.232.56.226/32 | 245.232.56.226 to 245.232.56.226 | — | 1 |
| 228 | 245.232.56.227/32 | 245.232.56.227 to 245.232.56.227 | — | 1 |
| 229 | 245.232.56.228/32 | 245.232.56.228 to 245.232.56.228 | — | 1 |
| 230 | 245.232.56.229/32 | 245.232.56.229 to 245.232.56.229 | — | 1 |
| 231 | 245.232.56.230/32 | 245.232.56.230 to 245.232.56.230 | — | 1 |
| 232 | 245.232.56.231/32 | 245.232.56.231 to 245.232.56.231 | — | 1 |
| 233 | 245.232.56.232/32 | 245.232.56.232 to 245.232.56.232 | — | 1 |
| 234 | 245.232.56.233/32 | 245.232.56.233 to 245.232.56.233 | — | 1 |
| 235 | 245.232.56.234/32 | 245.232.56.234 to 245.232.56.234 | — | 1 |
| 236 | 245.232.56.235/32 | 245.232.56.235 to 245.232.56.235 | — | 1 |
| 237 | 245.232.56.236/32 | 245.232.56.236 to 245.232.56.236 | — | 1 |
| 238 | 245.232.56.237/32 | 245.232.56.237 to 245.232.56.237 | — | 1 |
| 239 | 245.232.56.238/32 | 245.232.56.238 to 245.232.56.238 | — | 1 |
| 240 | 245.232.56.239/32 | 245.232.56.239 to 245.232.56.239 | — | 1 |
| 241 | 245.232.56.240/32 | 245.232.56.240 to 245.232.56.240 | — | 1 |
| 242 | 245.232.56.241/32 | 245.232.56.241 to 245.232.56.241 | — | 1 |
| 243 | 245.232.56.242/32 | 245.232.56.242 to 245.232.56.242 | — | 1 |
| 244 | 245.232.56.243/32 | 245.232.56.243 to 245.232.56.243 | — | 1 |
| 245 | 245.232.56.244/32 | 245.232.56.244 to 245.232.56.244 | — | 1 |
| 246 | 245.232.56.245/32 | 245.232.56.245 to 245.232.56.245 | — | 1 |
| 247 | 245.232.56.246/32 | 245.232.56.246 to 245.232.56.246 | — | 1 |
| 248 | 245.232.56.247/32 | 245.232.56.247 to 245.232.56.247 | — | 1 |
| 249 | 245.232.56.248/32 | 245.232.56.248 to 245.232.56.248 | — | 1 |
| 250 | 245.232.56.249/32 | 245.232.56.249 to 245.232.56.249 | — | 1 |
| 251 | 245.232.56.250/32 | 245.232.56.250 to 245.232.56.250 | — | 1 |
| 252 | 245.232.56.251/32 | 245.232.56.251 to 245.232.56.251 | — | 1 |
| 253 | 245.232.56.252/32 | 245.232.56.252 to 245.232.56.252 | — | 1 |
| 254 | 245.232.56.253/32 | 245.232.56.253 to 245.232.56.253 | — | 1 |
| 255 | 245.232.56.254/32 | 245.232.56.254 to 245.232.56.254 | — | 1 |
| 256 | 245.232.56.255/32 | 245.232.56.255 to 245.232.56.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |